Skip to navigation

Delete a bill run

View as Markdown

Deletes a bill run. You can only delete bill runs in Canceled or Error status.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

billRunIdstringRequired
The unique ID of a bill run.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
autoEmailbooleanOptional

Whether to automatically send emails after Auto-Post is complete.

autoPostbooleanOptional
Whether to automatically post the bill run after the bill run is created.
autoRenewalbooleanOptional

Whether to automatically renew auto-renew subscriptions that are up for renewal.

batcheslist of stringsOptional

The batch of accounts for this bill run, this field can not exist with billRunFilters together.

Values: AllBatches or an array of Batchn where n is a number between 1 and 50, for example, Batch7.

billCycleDaystringOptional

The day of the bill cycle, this field is only valid when batches is specified.

Values:

  • AllBillCycleDays or one of numbers 1 - 31 for an ad-hoc bill run
  • AllBillCycleDays, one of numbers 1 - 31, or AsRunDay for a scheduled bill run
billRunFilterslist of objectsOptional

The target account, subscriptions, invoice schedule, or a combination of objects for this bill run. You can only specify either this field or the batches field.

billRunNumberstringOptional
The number of the bill run.
chargeTypeToExcludelist of enumsOptional
The types of the charges to be excluded from the generation of billing documents.
Allowed values:
createdByIdstringOptional
The ID of the user who created the bill run.
createdDatestringOptional
The date and time when the bill run was created.
includeSubscriptionsbooleanOptionalDefaults to true
Indicates whether to bill subscriptions in the bill run.
includeOrderLineItemsbooleanOptionalDefaults to true
Indicates whether to bill order line items in the bill run.
idstringOptional
The unqie ID of the bill run.
invoiceDatedateOptional

The invoice date for this bill run, only valid for ad-hoc bill runs.

invoiceDateOffsetintegerOptional
The offset compared to bill run execution date, only valid for scheduled bill runs.
invoiceDateMonthOffsetintegerOptional

The month offset of invoice date for this bill run compared to bill run execution date.

Note: This field is only valid when the repeatType field is set to Monthly. When using the invoiceDateMonthOffset and invoiceDateDayOfMonth fields, do not use the invoiceDateOffset field, and vice versa.

invoiceDateDayOfMonthintegerOptional1-31

The day of month of invoice date for this bill run. Specify a day of the month. If you specify 31, even though the month doesn’t have 31, for example, February or April, the date recurs on the end day of each scheduled month.

Note: This field is only valid when the repeatType field is set to Monthly. When using the invoiceDateMonthOffset and invoiceDateDayOfMonth fields, do not use the invoiceDateOffset field, and vice versa.

namestringOptional
The name of the bill run.
noEmailForZeroAmountInvoicebooleanOptional
Whether to suppress emails for invoices with zero total amount generated in this bill run after the bill run is complete.
organizationLabelslist of objectsOptional

The organization(s) that the run is created for.

Note: This field is available only when the Multi-Org feature is enabled.

scheduleobjectOptional
Container for information about the scheduled bill run.
scheduledExecutionTimestringOptional
The scheduled execution time for a bill run.
statusenumOptional
The status of the bill run.
targetDatedateOptional

The target date for this bill run, only valid for ad-hoc bill runs.

targetDateOffsetintegerOptional
The offset compared to bill run execution date, only valid for scheduled bill runs.
targetDateMonthOffsetintegerOptional

The month offset of target date for this bill run compared to bill run execution date.

Note: This field is only valid when the repeatType field is set to Monthly. When using the targetDateMonthOffset and targetDateDayOfMonth fields, do not use the targetDateOffset field, and vice versa.

targetDateDayOfMonthintegerOptional1-31

The day of month of target date for this bill run. Specify a day of the month. If you specify 31, even though the month doesn’t have 31, for example, February or April, the date recurs on the end day of each scheduled month.

Note: This field is only valid when the repeatType field is set to Monthly. When using the targetDateMonthOffset and targetDateDayOfMonth fields, do not use the targetDateOffset field, and vice versa.

updatedByIdstringOptional
The ID of the user who last updated the bill run.
updatedDatestringOptional
The date and time when the bill run was last updated.

Errors

4XX
Client Request Error
500
Internal Server Error